Difference between revisions of "Arch RemoveShape"

From FreeCAD Documentation
Jump to: navigation, search
(Marked this version for translation)
m
(One intermediate revision by the same user not shown)
Line 15: Line 15:
  
 
<!--T:3-->
 
<!--T:3-->
This tool attempts at removing the inner cubic shape of an [[Arch Wall]] or [[Arch Structure]], and adjusting its properties, making it totally parametric. This tool will only work if the underlying shape is cubic (exactly 6 faces, all corners have only right angles).
+
This tool attempts at removing the inner cubic shape of an {{Button|[[Image:Arch_Wall.svg|16px]] [[Arch Wall]]}} or {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch Structure]]}}, and adjusting its properties, making it totally parametric. This tool will only work if the underlying shape is cubic (exactly 6 faces, all corners have only right angles).
  
 
==How to use== <!--T:4-->
 
==How to use== <!--T:4-->
  
 
<!--T:5-->
 
<!--T:5-->
# Select an [[Arch Wall]] or [[Arch Structure]].
+
# Select an {{Button|[[Image:Arch_Wall.svg|16px]] [[Arch Wall]]}} or {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch Structure]]}}
# Press the {{Button|[[Image:Arch RemoveShape.svg|16px]] [[Arch RemoveShape|Remove Shape]]}} entry in {{MenuCommand|Arch → Utilities → Remove Shape}}.
+
# Press the {{Button|[[Image:Arch RemoveShape.svg|16px]]}} button or use {{KEY|Arch}}  {{KEY|Utilities}} {{KEY|[[Image:Arch RemoveShape.svg|16px]] [[Arch RemoveShape|Remove Shape]]}} from the top menu.
  
 
==Scripting== <!--T:6-->
 
==Scripting== <!--T:6-->

Revision as of 19:19, 20 January 2020

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska

Arch RemoveShape.svg Arch RemoveShape

Menu location
Arch → Utilities → Remove Shape
Workbenches
Arch
Default shortcut
None
Introduced in version
-
See also
Arch SplitMesh, Arch MeshToShape


Description

This tool attempts at removing the inner cubic shape of an Arch Wall.svg Arch Wall or Arch Structure.svg Arch Structure, and adjusting its properties, making it totally parametric. This tool will only work if the underlying shape is cubic (exactly 6 faces, all corners have only right angles).

How to use

  1. Select an Arch Wall.svg Arch Wall or Arch Structure.svg Arch Structure
  2. Press the Arch RemoveShape.svg button or use ArchUtilitiesArch RemoveShape.svg Remove Shape from the top menu.

Scripting

See also: Arch API and FreeCAD Scripting Basics.

This tool can be used in macros and from the Python console by using the following function:

removeShape(objs, mark=True)
  • Takes a list of Arch objects (objs) built on a cubic shape, and removes the inner shape, keeping the length, width and height as properties of the Arch object.
  • If mark is True, objects that cannot be processed by this function will become red.
import FreeCAD, Draft, Arch

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 1000
Box.Width = 2000
Box.Height = 1000
FreeCAD.ActiveDocument.recompute()

Structure = Arch.makeStructure(Box)
FreeCAD.ActiveDocument.recompute()

Arch.removeShape(Structure)
FreeCAD.ActiveDocument.recompute()